
CREATE TABLE [continent](
	[_id] integer PRIMARY KEY AUTOINCREMENT,
	[continent_code] text NOT NULL,
	[continent_name] text NOT NULL,
	[spell] text,
	[first_letter] text,
	[english_name] text
);

CREATE TABLE [country] (
	[_id] integer PRIMARY KEY AUTOINCREMENT,
	[continent_code] text NOT NULL,
	[country_code] text NOT NULL,
	[country_name] text NOT NULL,
	[spell] text,
	[first_letter] text,
	[english_name] text,
	[image_url] text,
	[hot_flag] integer DEFAULT (0),
	[type_flag] TEXT(2) DEFAULT (0)
);

CREATE TABLE [city] (
	[_id] integer PRIMARY KEY AUTOINCREMENT,
	[continent_code] text NOT NULL,
	[country_code] text NOT NULL,
	[city_code] text NOT NULL,
	[city_name] text NOT NULL,
	[spell] text,
	[first_letter] text,
	[english_name] text,
	[hot_flag] integer DEFAULT (0),
	[type_flag] TEXT(2) DEFAULT (0)
);

CREATE TABLE [insurance_city] (
	[_id] integer PRIMARY KEY AUTOINCREMENT,
	[name] text NOT NULL,
	[code] text NOT NULL,
	[type] integer,
	[spell] text,
	[firstLetter] text,
	[engName] text
);

CREATE TABLE [search_history] (
	[_id] integer PRIMARY KEY AUTOINCREMENT,
	[code] text NOT NULL,
	[name] text NOT NULL,
	[code_type] TEXT(1) DEFAULT (0),
	[history_type] integer DEFAULT (1)
);

insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('110','亚洲','YAZHOU','Y','Asia');
insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('111','欧洲','OUZHOU','O','Europe');
insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('112','非洲','FEIZHOU','F','Africa');
insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('113','北美洲','BEIMEIZHOU','B','North America');
insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('114','南美洲','NANMEIZHOU','N','South America');
insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('115','南极洲','NANJIZHOU','N','Antarctica');
insert into continent(continent_code,continent_name,spell,first_letter,english_name) values('116','大洋洲','DAYANGZHOU','D','Oceania');
